QGIS Application - Bug report #9217
(Windows) uinstall doesn't remove registry entries
2013-12-16 06:13 AM - Jonathan Moules

Status: Closed

Priority: Normal

Assignee:

Category: Windows Package

Affected QGIS version:master Regression?: No
Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: worksforme
Crashes QGIS or corrupls data: Copied to github as #: 17840
Description

Uninstalling QGIS (either stable release or the weekly) from Windows doesn't remove the registry entries.
Ideally QGIS would determine if there are other versions installed, and if not, would clean up the registry as part of the uninstall.

History

#1 - 2015-08-20 01:24 AM - Yogurt Yogurt

| second this. And the same applies to the application directory as well.

The situation roots in the fact that both the registry key and the program directory/start menu group uses the version code name, such as "QGIS Pisa". This
makes it behave like it was a different product. The update leaves junk under "QGIS Wien", etc.

#2 - 2017-05-01 01:08 AM - Giovanni Manghi
- Easy fix? set to No
- Regression? set to No

#3 - 2018-09-24 02:50 AM - Jurgen Fischer
- Resolution set to worksforme

- Status changed from Open to Closed

- Description updated
